%if 0%{?el7}
%define dist .el7
%endif

Name:		cacti-plugins-flowview
Version:	1.1
Release:	4%{?dist}
Summary:	A simple Viewer for your Netflow flows

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group:		Applications/System
License:	GPLv2
URL:		http://docs.cacti.net/
#Source0:	http://docs.cacti.net/_media/plugin:flowview-v1.1-1.tgz
Source0:	flowview-v1.1-1.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

Requires:	cacti >= 0.8.8
Requires:	flow-tools
Requires(post):	/sbin/chkconfig
Requires(preun):	/sbin/service, /sbin/chkconfig
Requires(postun):	/sbin/service

%description
This plugin allows you to see reports based off the data in your Netflow flows.

%prep
%setup -q -n flowview

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d -m0755 $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/flowview
%{__install} -m0644 *.php $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/flowview
%{__install} -m0644 open-flash-chart.swf $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/flowview
for d in css images js lib
do
	%{__cp} -rp $d $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/flowview/
done
%{__install} -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
%{__install} -m0755 flow-capture $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ]; then
	/sbin/chkconfig --add flow-capture || :
fi

%preun
if [ $1 -eq 0 ]; then
	/sbin/service flow-capture stop &>/dev/null || :
	/sbin/chkconfig --del flow-capture || :
fi

%postun
if [ $1 -ge 1 ]; then
	/sbin/service flow-capture restart &>/dev/null || :
else
	/sbin/service flow-capture reload &>/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc README RPMS *.sql
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_sysconfdir}/rc.d/init.d/flow-capture
%{_datadir}/cacti/plugins/flowview/*

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.1-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.1-3
- Rebuilt for fc23

* Mon Apr 13 2015 momo-i <webmaster@momo-i.org> - 1.1-2
- Rebuilt for fc22

* Fri Apr 13 2012 momo-i <webmaster@momo-i.org> - 1.1-1
- Initial rpm release.
